
#include <Tic.h>
#include <TimerOne.h>
#ifdef SERIAL_PORT_HARDWARE_OPEN
#define ticSerial SERIAL_PORT_HARDWARE_OPEN
#else
#include <SoftwareSerial.h>
SoftwareSerial ticSerial(10, 11);
#endif

boolean toogle=LOW;
 
int veri , delay_ms;
int32_t currentpos;
String j; 
float delay_carp = 0.7; 
TicSerial tic1(ticSerial, 14);

void setup()
{
  Serial.begin(9600);
  pinMode(13, OUTPUT); 
  
  ticSerial.begin(9600);
  tic1.haltAndSetPosition(0);
  tic1.exitSafeStart();

  Timer1.initialize(2000000); //The led will blink in a half second time interval
  Timer1.attachInterrupt(pozisyon);
  
}


void pozisyon()
  {
    
    currentpos = tic1.getCurrentPosition();
    Serial.println(currentpos);
    toogle =!toogle;
    digitalWrite(13,toogle);
    
  }
  
void resetCommandTimeout()
{
  tic1.resetCommandTimeout();
//  tic2.resetCommandTimeout();
}

void delayWhileResettingCommandTimeout(uint32_t ms)
{
  uint32_t start = millis();
  do
  {
    resetCommandTimeout();
  } while ((uint32_t)(millis() - start) <= ms);
}

void waitForPosition(int32_t targetPosition)
{
  do
  {
    resetCommandTimeout();
  } while (tic1.getCurrentPosition() != targetPosition);
}


void loop() 
{

  if(Serial.available())
    {
       j=Serial.readString();
       
       veri = j.toInt();  
       delay_ms = veri*delay_carp;
       tic1.haltAndSetPosition(0);

       tic1.exitSafeStart();
            
       Serial.println(veri);          
       tic1.setTargetPosition(veri);
               
       delayWhileResettingCommandTimeout(delay_ms);
     
       }
       
}
